Loading...
Searching...
No Matches
gtsam::Basis< DERIVED >::ComponentDerivativeFunctor< M > Class Template Reference

## Detailed Description

template<typename DERIVED>
template<int M>
class gtsam::Basis< DERIVED >::ComponentDerivativeFunctor< M >

Given a M*N Matrix of M-vectors at N polynomial points, an instance of ComponentDerivativeFunctor computes the N-vector derivative for a specific row component of the M-vectors at all the polynomial points.

This component is specified by the row index i, with 0<i<M.

Inheritance diagram for gtsam::Basis< DERIVED >::ComponentDerivativeFunctor< M >:

## Public Member Functions

| ComponentDerivativeFunctor ()
| For serialization.
| ComponentDerivativeFunctor (size_t N, size_t i, double x)
| Construct with row index.
| ComponentDerivativeFunctor (size_t N, size_t i, double x, double a, double b)
| Construct with row index and interval.
double | apply (const ParameterMatrix< M > &P, OptionalJacobian< -1, -1 > H=boost::none) const
| Calculate derivative of component rowIndex_ of F.
double | operator() (const ParameterMatrix< M > &P, OptionalJacobian< -1, -1 > H=boost::none) const
| c++ sugar

## Protected Types

using | Jacobian = Eigen::Matrix<double, 1, -1>

## Protected Member Functions

void | calculateJacobian (size_t N)
Protected Member Functions inherited from gtsam::Basis< DERIVED >::DerivativeFunctorBase
| DerivativeFunctorBase ()
| For serialization.
| DerivativeFunctorBase (size_t N, double x)
| DerivativeFunctorBase (size_t N, double x, double a, double b)
void | print (const std::string &s="") const

## Protected Attributes

size_t | rowIndex_
Jacobian | H_
Protected Attributes inherited from gtsam::Basis< DERIVED >::DerivativeFunctorBase
Weights | weights_

The documentation for this class was generated from the following file:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/basis/Basis.h